Verified Commit e04c0ef4 authored by Eliot Berriot's avatar Eliot Berriot
Browse files

Upgraded packages

parent 7422ea83
......@@ -22,8 +22,8 @@ CACHES = {
'LOCATION': ''
}
}
INSTALLED_APPS += ('kombu.transport.django',)
BROKER_URL = 'django://'
BROKER_URL = 'memory://'
# TESTING
# ------------------------------------------------------------------------------
......
# Bleeding edge Django
django==1.11
django>=2.0,<2.1
# Configuration
django-environ==0.4.0
django-secure==1.0.1
whitenoise==2.0.6
# Models
django-model-utils==2.3.1
django-environ>=0.4,<0.5
whitenoise>=3.3,<3.4
# Images
Pillow==3.0.0
Pillow>=4.3,<4.4
# For user registration, either via email or social
# Well-built with regular release cycles!
django-allauth==0.24.1
django-allauth>=0.34,<0.35
# Python-PostgreSQL Database Adapter
psycopg2==2.6.1
psycopg2>=2.7,<=2.8
# Time zones support
pytz==2015.7
pytz==2017.3
# Redis support
django-redis==4.3.0
redis>=2.10.0
django-redis>=4.5,<4.6
redis>=2.10,<2.11
celery==3.1.19
celery>=3.1,<3.2
# Your custom requirements go here
django-cors-headers==2.1.0
django-cors-headers>=2.1,<2.2
musicbrainzngs==0.6
youtube_dl>=2015.12.21
djangorestframework==3.6.3
djangorestframework-jwt==1.11.0
django-celery==3.2.1
django-mptt==0.8.7
google-api-python-client==1.6.2
arrow==0.10.0
django-taggit==0.22.1
persisting-theory==0.2.1
django-versatileimagefield==1.7.1
django-cachalot==1.5.0
django-filter==1.1
django-rest-auth==0.9.1
beautifulsoup4==4.6.0
Markdown==2.6.8
ipython==6.1.0
mutagen==1.38
youtube_dl>=2017.12.14
djangorestframework>=3.7,<3.8
djangorestframework-jwt>=1.11,<1.12
django-celery>=3.2,<3.3
django-mptt>=0.9,<0.10
google-api-python-client>=1.6,<1.7
arrow>=0.12,<0.13
persisting-theory>=0.2,<0.3
django-versatileimagefield>=1.8,<1.9
django-filter>=1.1,<1.2
django-rest-auth>=0.9,<0.10
beautifulsoup4>=4.6,<4.7
Markdown>=2.6,<2.7
ipython>=6,<7
mutagen>=1.39,<1.40
# Until this is merged
#django-taggit>=0.22,<0.23
git+https://github.com/jdufresne/django-taggit.git@e8f7f216f04c9781bebc84363ab24d575f948ede
# Until this is merged
git+https://github.com/EliotBerriot/PyMemoize.git@django
# Until this is merged
#django-cachalot==1.5.0
git+https://github.com/EliotBerriot/django-cachalot.git@django-2
django-dynamic-preferences>=1.3,<1.4
django-dynamic-preferences>=1.5,<1.6
# Local development dependencies go here
-r base.txt
coverage==4.0.3
django_coverage_plugin==1.1
Sphinx==1.6.2
django-extensions==1.5.9
Werkzeug==0.11.2
django-test-plus==1.0.11
coverage>=4.4,<4.5
django_coverage_plugin>=1.5,<1.6
Sphinx>=1.6,<1.7
django-extensions>=1.9,<1.10
Werkzeug>=0.13,<0.14
django-test-plus>=1.0.20
factory_boy>=2.8.1
# django-debug-toolbar that works with Django 1.5+
django-debug-toolbar>=1.5,<1.6
django-debug-toolbar>=1.9,<1.10
# improved REPL
ipdb==0.8.1
# Pro-tip: Try not to put anything here. There should be no dependency in
# production that isn't in development.
-r base.txt
# WSGI Handler
# ------------------------------------------------
......
# Test dependencies go here.
-r local.txt
flake8==2.5.0
flake8
pytest
pytest-django
pytest-mock
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment